package gov.nasa.worldwind.eclipse;

import gov.nasa.worldwind.eclipse.views.WMSLayerManager;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class Perspective implements IPerspectiveFactory 
{
	public static final String ID = "gov.nasa.worldwind.eclipse.perspective";

	public void createInitialLayout(IPageLayout layout)
	{
		//IWorkbenchWindow window =  PlatformUI.getWorkbench().getActiveWorkbenchWindow();
		//window.getActivePage().showActionSet(""); 
		
		String editorArea = layout.getEditorArea();
		layout.setEditorAreaVisible(false);
		
		layout.addPlaceholder(WMSLayerManager.ID, IPageLayout.RIGHT, 0.80f, editorArea);

		IFolderLayout folder = layout.createFolder("WWJ", IPageLayout.TOP, 0.75f, editorArea);
		
		folder.addPlaceholder(gov.nasa.worldwind.eclipse.views.EarthView.ID + ":*");
		folder.addView(gov.nasa.worldwind.eclipse.views.EarthView.ID);
	}
}
